%define name    fusionsound
%define version 1.0.0
%define release %mkrel 1

%define major 0
%define libname %mklibname %{name} %{major}
%define obslibname %{_lib}FusionSound

%define directfbver %version

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Url:            http://directfb.org/fusionsound.xml
Source0:        FusionSound-%{version}.tar.bz2
Group:          System/Libraries
Summary:        An audio sub system
BuildRequires:  DirectFB-devel => %directfbver
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	FusionSound
Obsoletes:	FusionSound

%description
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion.

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.

%package -n %libname
Group:          System/Libraries
Summary:        An audio sub sytem
Provides:	lib%{name} = %version-%release
Provides:       %obslibname
Obsoletes:      %obslibname

%description -n %libname
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion. 

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.

%package -n %libname-devel
Group:          Development/Other
Summary:        An audio sub system
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides:	%obslibname-devel
Obsoletes:	%obslibname-devel

%description -n %libname-devel
FusionSound is a very powerful audio sub system in the
manner of DirectFB and a technical demonstration of Fusion.

FusionSound supports multiple applications using Fusion IPC.
It provides streams, static sound buffers and control over any
number of concurrent playbacks. Sample data is always stored
in shared memory, starting a playback simply adds an entry to
the playlist of the mixer thread in the master application.


%prep
%setup -q -n FusionSound-%{version}

%build
%configure
%make

%install
%makeinstall_std

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %name
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%dir %_libdir/directfb-*/interfaces/IFusionSound
%dir %_libdir/directfb-*/interfaces/IFusionSoundMusicProvider
%_libdir/directfb-*/interfaces/*/*.so
%_bindir/fs*
%_mandir/*/%{name}*

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%_libdir/directfb-*/interfaces/*/*.la
%_libdir/directfb-*/snddrivers/lib%{name}*
%_libdir/pkgconfig/fusionsound*.pc
%_includedir/fusionsound 
%_includedir/fusionsound-internal
%_libdir/*.so
%_libdir/*.la


%changelog
* Sun May 27 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 31752
- New upstream version


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 12:38:05 (53442)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 12:27:51 (53441)
Import fusionsound

* Sun May 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.25-1mdk
- 0.9.25

* Thu Apr 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.23-2mdk
- rebuild with a fixed directfb (thus allowing build on x86_64)
- fix build on x86_64

* Fri Feb 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.23-1mdk
- new release
- fix build with newer directfb

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.22-1mdk
- new release

* Mon Mar 28 2005 Olivier Thauvin <nanardon@mandrake.org> 0.9.21-1mdk
- 0.9.21
- %%mkrel

* Sun Feb 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.9.19-2mdk
- lowercase name
- fix ownerchip

* Mon Jan 05 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.9.19-1mdk
- 1st spec file

